<?xml version='1.0' encoding='windows-1252'?>
<!-- 
Modified
07/11/03 bpaliwal - created
07/13/04 gmanglik - modified for 10gR2
-->
<RULEMAP>
  <RULESET name="InstallPrereq_OracleHomeChecks" class="oracle.install.prereqs.core.OracleHomeChecks">
    <RULE name="CheckOracleBase" method="checkOracleBase"/>
    <RULE name="CheckForSpaces" method="checkForSpace"/>
    <RULE name="CheckIfInstallOnRoot" method="checkIfInstallOnRoot"/>
  </RULESET>

  <RULESET name="InstallPrereq_ExistingEnvChecks" class="oracle.install.prereqs.core.ExistingEnvChecks">
    <RULE name="CheckEnvVars" method="checkEnvVars"/>
  </RULESET>

  <RULESET name="InstallPrereq_StaticIPCheck" class="oracle.install.prereqs.core.StaticIPCheck">
    <RULE name="CheckIfStaticIP" method="checkIfStaticIP"/>
  </RULESET>

  <RULESET name="InstallPrereq_RAC92ClusterChecks" class="oracle.install.prereqs.core.RAC92ClusterChecks">
    <RULE name="CheckWin92RACexists" method="checkWin92RACexists"/>
  </RULESET>

  <RULESET name="InstallPrereq_LocalCSSChecks" class="oracle.install.prereqs.core.LocalCSSChecks">
    <RULE name="CheckWinLocalCSSexists" method="checkWinLocalCSSexists"/>
  </RULESET>

  <RULESET name="InstallPrereq_CRSLatestVersionChecks" class="oracle.install.prereqs.core.CRSLatestVersionChecks">
    <RULE name="CheckForLatestCRS" method="checkForLatestCRS"/>
    <RULE name="CheckIfCSSStackIsDown" method="checkIfCSSStackIsDown"/>
  </RULESET>

  <RULESET name="InstallPrereq_InplaceInstallChecks" class="oracle.install.prereqs.core.InplaceInstallChecks">
    <RULE name="CheckASMInstanceExists" method="checkASMInstanceExists"/>
  </RULESET>

  <RULESET name="InstallPrereq_ASMChecks" class="oracle.install.prereqs.core.ASMChecks">
    <RULE name="CheckIfValidASMHome" method="checkIfValidASMHome"/>
  </RULESET>

  <RULESET name="InstallPrereq_PathEnvVariableChecks" class="oracle.install.prereqs.core.PathEnvVariableChecks">
    <RULE name="CheckPathEnvVarMaxLength" method="checkPathEnvVarMaxLength"/>
    <RULE name="CheckPathForOtherOracleHomes" method="checkPathForOtherOracleHomes"/>
  </RULESET>

  <RULESET name="InstallPrereq_DiskSpaceChecks" class="oracle.install.prereqs.core.DiskSpaceChecks">
    <RULE name="CheckTempDiskSpace" method="checkTempDiskSpace"/>
  </RULESET>

  <RULESET name="InstallPrereq_ClusterwareUpgradeChecks" class="oracle.install.prereqs.core.ClusterwareUpgradeChecks">
    <RULE name="CheckClusterwareUpgradeFeasibility" method="checkClusterwareUpgradeFeasibility"/>
  </RULESET>
</RULEMAP>
